:Begin:
:Function:       GetNGProp
:Pattern:        ngProperties[P_Real, T_Real, MoleFractions_List, Property_Integer]
:Arguments:      { P, T, MoleFractions, Property }
:ArgumentTypes:  { Real, Real, RealList, Integer }
:ReturnType:     Manual
:End:

:Evaluate: ngProperties::usage = "Returns the requested property for a natural gas based on given Pressure (psia), Temperature (deg F), Mole Fraction Array, and Property.  The Mole Fraction Array must provide the data in the following order:0=Not Used (use zero), 1=Methane, 2=Nitrogen, 3=Carbon Dioxide, 4=Ethane, 5=Propane, 6=Water, 7=Hydrogen Sulfide, 8=Hydrogen, 9=Carbon Monoxide, 10=Oxygen, 11=i-Butane, 12=n-Butane, 13=i-Pentane, 14=n-Pentane, 15=n-Hexane, 16=n-Heptane, 17=n-Octane, 18=n-Nonane, 19=n-Decane, 20=Helium, 21=Argon.  The available properties are: 1=Molecular Weight (kg/kg-mole), 2=Second Viral Coefficient (m^3/kg-mole), 3=Density (lbm/ft^3), 4=Compressibility Factor (dimensionless), 5=Isochoric specific heat (Btu/lbm-R), 6=Isobaric specific heat (Btu/lbm-R), 7=Speed of Sound (ft/sec), 8=Isentropic exponent (dimensionless), 9=Specific Enthalpy (Btu/lbm), 10=Specific Entropy (Btu/lbm-R), 11=Dynamic Viscosity (cP)"